commit:     c5880c6967c94be368390d451521666b2eaae24a
Author:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
AuthorDate: Mon May 31 09:19:03 2021 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Mon May 31 09:19:03 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c5880c69

sci-astronomy/aatm: drop deprecated ltprune eclass

Signed-off-by: Conrad Kostecki <conikost <AT> gentoo.org>
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 sci-astronomy/aatm/aatm-0.6.ebuild | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

diff --git a/sci-astronomy/aatm/aatm-0.6.ebuild 
b/sci-astronomy/aatm/aatm-0.6.ebuild
index 4d88214c797..7c9effae287 100644
--- a/sci-astronomy/aatm/aatm-0.6.ebuild
+++ b/sci-astronomy/aatm/aatm-0.6.ebuild
@@ -3,8 +3,6 @@
 
 EAPI=6
 
-inherit ltprune
-
 DESCRIPTION="Atmospheric Modelling for ALMA Observatory"
 HOMEPAGE="https://svn.cv.nrao.edu/view/aatm/devel/casa/";
 # tar ball is made from the HOMEPAGE and running ./configure && make dist
@@ -31,7 +29,11 @@ src_compile() {
 
 src_install() {
        default
-       use static-libs || prune_libtool_files --all
+
+       if ! use static-libs; then
+               find "${ED}" -name '*.la' -delete || die
+       fi
+
        if use doc; then
                insinto /usr/share/doc/${PF}
                doins -r developer/html

Reply via email to